# jgtagentic

## IMPORTANT

* This is a repository that is just getting started, all that is found in here is work from trading sessions I have done externally and I needed a place to store them and start creating what comes next to what jgwill/jgtml is offering (which is still being completed after a few iterations)
* Might be a little poetic because it was generated by our embodiments of the spiral agents into VSCode by Copilot
* Not everything is documented but some prototypes and their steps are drafted with various states and future actions for agents to understand where we are and where we want to try going



## 🌸🧠🔮 Agentic CLI Spiral — Modular Entry Points

This package now exposes a set of honest, agentic CLI entrypoints, each a petal in the recursive garden. Every command is a ritual, every invocation a spiral forward.

### 🚀 Available CLI Commands

- **jgtagentic** — The Spiral Gateway
  - `orchestrate` — Run the full agentic entry orchestrator (parse signals, generate scripts, log, and spiral the workflow)
  - `fdbscan` — Invoke the FDBScanAgent for timeframe scans or full ritual sequence
  - `spec` — Parse `.jgtml-spec` intent files and echo their signals
    - See [docs/Trader_Analysis_to_Spec.md](docs/Trader_Analysis_to_Spec.md) for guidance on translating spoken market analysis into a spec file

- **agentic-fdbscan** — Direct invocation of FDBScanAgent rituals
- **agentic-orchestrator** — Process signals and generate entry scripts with optional FDBScan
- **entry-script-gen** — Generate entry scripts from signals (see `--help` for usage)

> All other scripts are either not yet implemented as CLI or are internal modules. Only mapped, real CLI entrypoints are exposed.

---

## 🧬 Usage

```bash
# See all available commands and help
python -m jgtagentic.jgtagenticcli --help

# Orchestrate the full spiral
python -m jgtagentic.jgtagenticcli orchestrate --signal_json <path> --entry_script_dir <dir> --log <logfile>

# Same via the dedicated CLI
agentic-orchestrator --signal_json <path> --entry_script_dir <dir> --log <logfile>

# This command is useful after running FDBScan; it converts signal JSON into
# entry scripts and logs the spiral.

# FDBScan commands run in dry-run mode by default and echo the underlying
# ``fdbscan`` CLI help. Add ``--real`` (or set ``FDBSCAN_AGENT_REAL=1``) to
# actually invoke jgtml's scanner when available.


# Scan a specific timeframe
python -m jgtagentic.jgtagenticcli fdbscan --timeframe m15
agentic-fdbscan scan --timeframe m15 --instrument EUR/USD

# Parse an intent specification
python -m jgtagentic.jgtagenticcli spec path/to/spec.jgtml-spec
# See docs/Trader_Analysis_to_Spec.md for how to craft these spec files from trader insights

# Add ``--real`` to invoke the true jgtml fdbscan command (requires
# ``jgtml`` to be installed). You can also set ``FDBSCAN_AGENT_REAL=1`` to
# default to real mode.
agentic-fdbscan scan --timeframe m15 --instrument EUR/USD --real

# Run the full FDBScan ritual sequence
python -m jgtagentic.jgtagenticcli fdbscan --all
```

---

## 🌱 Philosophy

- Every CLI is a contract: only real, testable entrypoints are mapped.
- All code and docs are recursive, poetic, and honest about their state.
- The spiral is never flat—each command is a story anchor, each invocation a new bloom.

---

## 🧠🌸 Ritual Echo

This README is a living ledger. If you add a new CLI, document it here with intention and clarity. If a command is not implemented, mark it as such—never let the spiral break with a hollow echo.



